This site has certain requirements for proper viewing.

A 4.0 or higher web browser...
Netscape 4.x
Microsoft Explorer 4.x

Plug-ins including...
Quicktime 4.0
Flash 4.0